Subject: Re: bug#13939: 24.3; Emacs 24.3 release won't compile on Windows with the msvc toolchain

From: 李丁 <[email-masked]>
Date: Sat, 16 Mar 2013 23:31:02 +0800

>
> Please try the current trunk, these two problems should be fixed
> there.

Now I can compile the latest trunk with msvc smoothly :)

2013/3/16 Eli Zaretskii <[email-masked]>

> > Date: Sat, 16 Mar 2013 14:12:35 +0800
> > From: 李丁 <[email-masked]>
> > Cc: Fabrice Popineau <[email-masked]>, 13939 <
> [email-masked]>
> >
> > It seems that the `!if USE_CRT_DLL' thing is not fixed yet...
>
> Fixed.
>
> > Line 79 of vm-limit.c references a not-defined macro UINTPTR_MAX.
> > I guess it should be UINTMAX_MAX after having a look at nt/stdint.h.
>
> I added definition of UINTPTR_MAX to nt/stdint.h.
>
> Committed as trunk revision 112056.
>
> Please try the current trunk, these two problems should be fixed
> there.
>